[blfs-dev] phonon 4.7.1 fails since cmake 3.0 is available

Armin K. krejzi at email.com
Mon Jun 16 14:46:15 PDT 2014


On 06/16/2014 11:20 PM, Thierry Nuttens wrote:
> Can someone confirm this (or not) . But it seams since cmake has been
> updated to 3.0, if I try to compile phonon 4.7.1 following the book here
> is the very unfriendly part of the message:
> 
> -----------------------------------------------------------------------------
> -- The following external packages were located on your system.
> -- This installation will have the extra features provided by these
> packages.
> + Qt4
> + OpenGL
> + Qt4 DBus
> + Qt4 Designer
> + Qt4 OpenGL
> + Qt4 Declarative
> + PulseAudio
> + GLib2
> -----------------------------------------------------------------------------
> -- The following OPTIONAL packages could NOT be located on your system.
> -- Consider installing them to enable more features from this software.
> + QZeitgeist, 0.8: Qt bindings for Zeitgeist
> <http://projects.kde.org/kdesupport/libqzeitgeist/>
> -----------------------------------------------------------------------------
> 
> -- Configuring done
> CMake Error: Qt4::moc target not found phononwidgets_automoc
> CMake Error: Qt4::moc target not found phonon_automoc
> CMake Error: Qt4::moc target not found phononexperimental_automoc
> -- Generating done
> -- Build files have been written to: /tmp/work/src/phonon-4.7.1/build
> 
> Tanks for your support
> 
> Thierry
> 
> 

Issue:

rm cmake/FindQt4.cmake

from phonon source directory and then proceed with usual build instructions.

-- 
Note: My last name is not Krejzi.


More information about the blfs-dev mailing list